OpenShot Audio Library | OpenShotAudio: juce::dsp::SIMDNativeOps< uint8_t > Struct Reference

OpenShot Audio Library | OpenShotAudio 1.0.0

Loading...
Searching...
No Matches
juce::dsp::SIMDNativeOps< uint8_t > Struct Reference

`#include <juce_SIMDNativeOps_avx.h>`

## Public Types
using | vSIMDType = __m256i
using | vSIMDType = uint8x16_t
using | fb = SIMDFallbackOps<uint8_t, vSIMDType>
using | vSIMDType = __m128i

## Public Member Functions
| DECLARE_AVX_SIMD_CONST (uint8_t, kHighBit)
| DECLARE_AVX_SIMD_CONST (uint8_t, kAllBitsSet)
| DECLARE_NEON_SIMD_CONST (uint8_t, kAllBitsSet)
| DECLARE_SSE_SIMD_CONST (uint8_t, kHighBit)
| DECLARE_SSE_SIMD_CONST (uint8_t, kAllBitsSet)

## Static Public Member Functions
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | ssign (__m256i a) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | expand (uint8_t s) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | load (const uint8_t *p) noexcept
static forcedinline void JUCE_VECTOR_CALLTYPE | store (__m256i value, uint8_t *dest) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | add (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | sub (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_and (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_or (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_xor (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_andnot (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | bit_not (__m256i a) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | min (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | max (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | equal (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | greaterThan (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | greaterThanOrEqual (__m256i a, __m256i b) noexcept
static forcedinline bool JUCE_VECTOR_CALLTYPE | allEqual (__m256i a, __m256i b) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | multiplyAdd (__m256i a, __m256i b, __m256i c) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | notEqual (__m256i a, __m256i b) noexcept
static forcedinline uint8_t JUCE_VECTOR_CALLTYPE | get (__m256i v, size_t i) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | set (__m256i v, size_t i, uint8_t s) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | truncate (__m256i a) noexcept
static forcedinline uint8_t JUCE_VECTOR_CALLTYPE | sum (__m256i a) noexcept
static forcedinline __m256i JUCE_VECTOR_CALLTYPE | mul (__m256i a, __m256i b)
static forcedinline vSIMDType | expand (uint8_t s) noexcept
static forcedinline vSIMDType | load (const uint8_t *a) noexcept
static forcedinline void | store (vSIMDType value, uint8_t *a) noexcept
static forcedinline uint8_t | get (vSIMDType v, size_t i) noexcept
static forcedinline vSIMDType | set (vSIMDType v, size_t i, uint8_t s) noexcept
static forcedinline vSIMDType | add (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | sub (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | mul (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_and (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_or (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_xor (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_notand (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_not (vSIMDType a) noexcept
static forcedinline vSIMDType | min (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | max (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | equal (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | notEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | greaterThan (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | greaterThanOrEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline bool | allEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | multiplyAdd (vSIMDType a, vSIMDType b, vSIMDType c) noexcept
static forcedinline uint8_t | sum (vSIMDType a) noexcept
static forcedinline vSIMDType | truncate (vSIMDType a) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | vconst (const uint8_t *a) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | ssign (__m128i a) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | load (const uint8_t *a) noexcept
static forcedinline void JUCE_VECTOR_CALLTYPE | store (__m128i v, uint8_t *p) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | expand (uint8_t s) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | add (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | sub (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_and (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_or (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_xor (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_andnot (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | bit_not (__m128i a) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | min (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | max (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | equal (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | greaterThan (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | greaterThanOrEqual (__m128i a, __m128i b) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | multiplyAdd (__m128i a, __m128i b, __m128i c) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | notEqual (__m128i a, __m128i b) noexcept
static forcedinline bool JUCE_VECTOR_CALLTYPE | allEqual (__m128i a, __m128i b) noexcept
static forcedinline uint8_t JUCE_VECTOR_CALLTYPE | get (__m128i v, size_t i) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | set (__m128i v, size_t i, uint8_t s) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | truncate (__m128i a) noexcept
static forcedinline uint8_t JUCE_VECTOR_CALLTYPE | sum (__m128i a) noexcept
static forcedinline __m128i JUCE_VECTOR_CALLTYPE | mul (__m128i a, __m128i b)

## Detailed Description

Unsigned 8-bit integer AVX intrinsics.

Unsigned 8-bit integer NEON intrinsics.

Unsigned 8-bit integer SSE intrinsics.

Definition at line 276 of file juce_SIMDNativeOps_avx.h.

## Member Typedef Documentation

## ◆ fb

using juce::dsp::SIMDNativeOps< uint8_t >::fb = SIMDFallbackOps<uint8_t, vSIMDType>

Definition at line 196 of file juce_SIMDNativeOps_neon.h.

## ◆ vSIMDType [1/3]

using juce::dsp::SIMDNativeOps< uint8_t >::vSIMDType = __m256i

Definition at line 279 of file juce_SIMDNativeOps_avx.h.

## ◆ vSIMDType [2/3]

using juce::dsp::SIMDNativeOps< uint8_t >::vSIMDType = uint8x16_t

Definition at line 195 of file juce_SIMDNativeOps_neon.h.

## ◆ vSIMDType [3/3]

using juce::dsp::SIMDNativeOps< uint8_t >::vSIMDType = __m128i

Definition at line 268 of file juce_SIMDNativeOps_sse.h.

## Member Function Documentation

## ◆ add() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::add | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 279 of file juce_SIMDNativeOps_sse.h.

## ◆ add() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::add | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 289 of file juce_SIMDNativeOps_avx.h.

## ◆ add() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::add | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 207 of file juce_SIMDNativeOps_neon.h.

## ◆ allEqual() [1/3]

forcedinline bool JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::allEqual | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 293 of file juce_SIMDNativeOps_sse.h.

## ◆ allEqual() [2/3]

forcedinline bool JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::allEqual | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 301 of file juce_SIMDNativeOps_avx.h.

## ◆ allEqual() [3/3]

forcedinline bool juce::dsp::SIMDNativeOps< uint8_t >::allEqual | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 221 of file juce_SIMDNativeOps_neon.h.

## ◆ bit_and() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::bit_and | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 281 of file juce_SIMDNativeOps_sse.h.

## ◆ bit_and() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::bit_and | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 291 of file juce_SIMDNativeOps_avx.h.

## ◆ bit_and() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::bit_and | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 210 of file juce_SIMDNativeOps_neon.h.

## ◆ bit_andnot() [1/2]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::bit_andnot | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 284 of file juce_SIMDNativeOps_sse.h.

## ◆ bit_andnot() [2/2]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::bit_andnot | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 294 of file juce_SIMDNativeOps_avx.h.

## ◆ bit_not() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::bit_not | ( | __m128i | a | ) |
| inlinestaticnoexcept

Definition at line 285 of file juce_SIMDNativeOps_sse.h.

## ◆ bit_not() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::bit_not | ( | __m256i | a | ) |
| inlinestaticnoexcept

Definition at line 295 of file juce_SIMDNativeOps_avx.h.

## ◆ bit_not() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::bit_not | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 214 of file juce_SIMDNativeOps_neon.h.

## ◆ bit_notand()

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::bit_notand | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 213 of file juce_SIMDNativeOps_neon.h.

## ◆ bit_or() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::bit_or | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 282 of file juce_SIMDNativeOps_sse.h.

## ◆ bit_or() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::bit_or | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 292 of file juce_SIMDNativeOps_avx.h.

## ◆ bit_or() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::bit_or | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 211 of file juce_SIMDNativeOps_neon.h.

## ◆ bit_xor() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::bit_xor | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 283 of file juce_SIMDNativeOps_sse.h.

## ◆ bit_xor() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::bit_xor | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 293 of file juce_SIMDNativeOps_avx.h.

## ◆ bit_xor() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::bit_xor | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 212 of file juce_SIMDNativeOps_neon.h.

## ◆ equal() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::equal | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 288 of file juce_SIMDNativeOps_sse.h.

## ◆ equal() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::equal | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 298 of file juce_SIMDNativeOps_avx.h.

## ◆ equal() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::equal | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 217 of file juce_SIMDNativeOps_neon.h.

## ◆ expand() [1/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::expand | ( | uint8_t | s | ) |
| inlinestaticnoexcept

Definition at line 286 of file juce_SIMDNativeOps_avx.h.

## ◆ expand() [2/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::expand | ( | uint8_t | s | ) |
| inlinestaticnoexcept

Definition at line 202 of file juce_SIMDNativeOps_neon.h.

## ◆ expand() [3/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::expand | ( | uint8_t | s | ) |
| inlinestaticnoexcept

Definition at line 278 of file juce_SIMDNativeOps_sse.h.

## ◆ get() [1/3]

forcedinline uint8_t JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::get | ( | __m128i | v,
|  | size_t | i )
| inlinestaticnoexcept

Definition at line 294 of file juce_SIMDNativeOps_sse.h.

## ◆ get() [2/3]

forcedinline uint8_t JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::get | ( | __m256i | v,
|  | size_t | i )
| inlinestaticnoexcept

Definition at line 304 of file juce_SIMDNativeOps_avx.h.

## ◆ get() [3/3]

forcedinline uint8_t juce::dsp::SIMDNativeOps< uint8_t >::get | ( | vSIMDType | v,
|  | size_t | i )
| inlinestaticnoexcept

Definition at line 205 of file juce_SIMDNativeOps_neon.h.

## ◆ greaterThan() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::greaterThan | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 289 of file juce_SIMDNativeOps_sse.h.

## ◆ greaterThan() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::greaterThan | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 299 of file juce_SIMDNativeOps_avx.h.

## ◆ greaterThan() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::greaterThan | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 219 of file juce_SIMDNativeOps_neon.h.

## ◆ greaterThanOrEqual() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::greaterThanOrEqual | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 290 of file juce_SIMDNativeOps_sse.h.

## ◆ greaterThanOrEqual() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::greaterThanOrEqual | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 300 of file juce_SIMDNativeOps_avx.h.

## ◆ greaterThanOrEqual() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::greaterThanOrEqual | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 220 of file juce_SIMDNativeOps_neon.h.

## ◆ load() [1/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::load | ( | const uint8_t * | a | ) |
| inlinestaticnoexcept

Definition at line 203 of file juce_SIMDNativeOps_neon.h.

## ◆ load() [2/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::load | ( | const uint8_t * | a | ) |
| inlinestaticnoexcept

Definition at line 276 of file juce_SIMDNativeOps_sse.h.

## ◆ load() [3/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::load | ( | const uint8_t * | p | ) |
| inlinestaticnoexcept

Definition at line 287 of file juce_SIMDNativeOps_avx.h.

## ◆ max() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::max | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 287 of file juce_SIMDNativeOps_sse.h.

## ◆ max() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::max | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 297 of file juce_SIMDNativeOps_avx.h.

## ◆ max() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::max | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 216 of file juce_SIMDNativeOps_neon.h.

## ◆ min() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::min | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 286 of file juce_SIMDNativeOps_sse.h.

## ◆ min() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::min | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 296 of file juce_SIMDNativeOps_avx.h.

## ◆ min() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::min | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 215 of file juce_SIMDNativeOps_neon.h.

## ◆ mul() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::mul | ( | __m128i | a,
|  | __m128i | b )
| inlinestatic

Definition at line 318 of file juce_SIMDNativeOps_sse.h.

## ◆ mul() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::mul | ( | __m256i | a,
|  | __m256i | b )
| inlinestatic

Definition at line 335 of file juce_SIMDNativeOps_avx.h.

## ◆ mul() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::mul | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 209 of file juce_SIMDNativeOps_neon.h.

## ◆ multiplyAdd() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::multiplyAdd | ( | __m128i | a,
|  | __m128i | b,
|  | __m128i | c )
| inlinestaticnoexcept

Definition at line 291 of file juce_SIMDNativeOps_sse.h.

## ◆ multiplyAdd() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::multiplyAdd | ( | __m256i | a,
|  | __m256i | b,
|  | __m256i | c )
| inlinestaticnoexcept

Definition at line 302 of file juce_SIMDNativeOps_avx.h.

## ◆ multiplyAdd() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::multiplyAdd | ( | vSIMDType | a,
|  | vSIMDType | b,
|  | vSIMDType | c )
| inlinestaticnoexcept

Definition at line 222 of file juce_SIMDNativeOps_neon.h.

## ◆ notEqual() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::notEqual | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 292 of file juce_SIMDNativeOps_sse.h.

## ◆ notEqual() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::notEqual | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 303 of file juce_SIMDNativeOps_avx.h.

## ◆ notEqual() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::notEqual | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 218 of file juce_SIMDNativeOps_neon.h.

## ◆ set() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::set | ( | __m128i | v,
|  | size_t | i,
|  | uint8_t | s )
| inlinestaticnoexcept

Definition at line 295 of file juce_SIMDNativeOps_sse.h.

## ◆ set() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::set | ( | __m256i | v,
|  | size_t | i,
|  | uint8_t | s )
| inlinestaticnoexcept

Definition at line 305 of file juce_SIMDNativeOps_avx.h.

## ◆ set() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::set | ( | vSIMDType | v,
|  | size_t | i,
|  | uint8_t | s )
| inlinestaticnoexcept

Definition at line 206 of file juce_SIMDNativeOps_neon.h.

## ◆ ssign() [1/2]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::ssign | ( | __m128i | a | ) |
| inlinestaticnoexcept

Definition at line 275 of file juce_SIMDNativeOps_sse.h.

## ◆ ssign() [2/2]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::ssign | ( | __m256i | a | ) |
| inlinestaticnoexcept

Definition at line 285 of file juce_SIMDNativeOps_avx.h.

## ◆ store() [1/3]

forcedinline void JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::store | ( | __m128i | v,
|  | uint8_t * | p )
| inlinestaticnoexcept

Definition at line 277 of file juce_SIMDNativeOps_sse.h.

## ◆ store() [2/3]

forcedinline void JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::store | ( | __m256i | value,
|  | uint8_t * | dest )
| inlinestaticnoexcept

Definition at line 288 of file juce_SIMDNativeOps_avx.h.

## ◆ store() [3/3]

forcedinline void juce::dsp::SIMDNativeOps< uint8_t >::store | ( | vSIMDType | value,
|  | uint8_t * | a )
| inlinestaticnoexcept

Definition at line 204 of file juce_SIMDNativeOps_neon.h.

## ◆ sub() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::sub | ( | __m128i | a,
|  | __m128i | b )
| inlinestaticnoexcept

Definition at line 280 of file juce_SIMDNativeOps_sse.h.

## ◆ sub() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::sub | ( | __m256i | a,
|  | __m256i | b )
| inlinestaticnoexcept

Definition at line 290 of file juce_SIMDNativeOps_avx.h.

## ◆ sub() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::sub | ( | vSIMDType | a,
|  | vSIMDType | b )
| inlinestaticnoexcept

Definition at line 208 of file juce_SIMDNativeOps_neon.h.

## ◆ sum() [1/3]

forcedinline uint8_t JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::sum | ( | __m128i | a | ) |
| inlinestaticnoexcept

Definition at line 299 of file juce_SIMDNativeOps_sse.h.

## ◆ sum() [2/3]

forcedinline uint8_t JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::sum | ( | __m256i | a | ) |
| inlinestaticnoexcept

Definition at line 309 of file juce_SIMDNativeOps_avx.h.

## ◆ sum() [3/3]

forcedinline uint8_t juce::dsp::SIMDNativeOps< uint8_t >::sum | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 223 of file juce_SIMDNativeOps_neon.h.

## ◆ truncate() [1/3]

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::truncate | ( | __m128i | a | ) |
| inlinestaticnoexcept

Definition at line 296 of file juce_SIMDNativeOps_sse.h.

## ◆ truncate() [2/3]

forcedinline __m256i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::truncate | ( | __m256i | a | ) |
| inlinestaticnoexcept

Definition at line 306 of file juce_SIMDNativeOps_avx.h.

## ◆ truncate() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< uint8_t >::truncate | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 224 of file juce_SIMDNativeOps_neon.h.

## ◆ vconst()

forcedinline __m128i JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< uint8_t >::vconst | ( | const uint8_t * | a | ) |
| inlinestaticnoexcept

Definition at line 274 of file juce_SIMDNativeOps_sse.h.

The documentation for this struct was generated from the following files:

- juce_SIMDNativeOps_avx.h
- juce_SIMDNativeOps_neon.h
- juce_SIMDNativeOps_sse.h